require File.dirname(__FILE__) + '/../../../../../spec_helper'
include OpenEHR::RM::Support::Identification

describe ArchetypeID do
  before(:each) do
    @archetype_id = ArchetypeID.new(:value => 'openEHR-EHR-SECTION.physical_examination-prenatal.v2')
  end

  it 'should be an instance of ArchetypeID' do
    @archetype_id.should be_an_instance_of ArchetypeID
  end

  it 's qualified_rm_entity should be openEHR-EHR-SECTION' do
    @archetype_id.qualified_rm_entity.should == 'openEHR-EHR-SECTION'
  end

  it 's rm_originator should be openEHR' do
    @archetype_id.rm_originator.should == 'openEHR'
  end

  it 's rm_name should be EHR' do
    @archetype_id.rm_name.should == 'EHR'
  end

  it 'rm_entity should be SECTION' do
    @archetype_id.rm_entity.should == 'SECTION'
  end

  it 's domain_concept should be physical_examination-prenatal' do
    @archetype_id.domain_concept.should == 'physical_examination-prenatal'
  end

  it 's concept name should be physical_examination' do
    @archetype_id.concept_name.should == 'physical_examination'
  end

  it 's specialisation should be prenatal' do
    @archetype_id.specialisation.should == 'prenatal'
  end

  it 's version_id should == v2' do
    @archetype_id.version_id.should == 'v2'
  end
end
